"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.typescriptBuildConfigFiles = exports.typescriptConfigFiles = exports.prettierExtensions = exports.prettierCiExtensions = exports.prettierConfigFiles = exports.eslintIgnoreFiles = exports.eslintExtensions = exports.eslintConfigFiles = exports.depcheckIgnorePackages = exports.coverageDefaultWatermark = exports.jestConfigFiles = exports.commitlintConfigFiles = exports.babelScriptFiles = exports.babelExtensions = exports.babelConfigFiles = void 0;
// babel
const babelExtensions = '.js,.jsx,.ts,.tsx';
exports.babelExtensions = babelExtensions;
const babelScriptFiles = ['src/index.ts', 'src/index.js'];
exports.babelScriptFiles = babelScriptFiles;
const babelConfigFiles = ['babel.config.js', 'babel.config.json']; // commitlint

exports.babelConfigFiles = babelConfigFiles;
const commitlintConfigFiles = ['commitlint.config.js', '.commitlintrc.js', '.commitlintrc.json', '.commitlintrc.yml']; // jest/coverage

exports.commitlintConfigFiles = commitlintConfigFiles;
const coverageDefaultWatermark = [90, 50];
exports.coverageDefaultWatermark = coverageDefaultWatermark;
const jestConfigFiles = ['jest.config.js', 'jest.config.ts']; // eslint

exports.jestConfigFiles = jestConfigFiles;
const eslintIgnoreFiles = new Set(['babel.config.js', 'jest.config.js']);
exports.eslintIgnoreFiles = eslintIgnoreFiles;
const eslintExtensions = 'js,ts,tsx';
exports.eslintExtensions = eslintExtensions;
const eslintConfigFiles = ['.eslintrc.js', '.eslintrc.cjs', '.eslintrc.yaml', '.eslintrc.yml', '.eslintrc.json', '.eslintrc']; // prettier

exports.eslintConfigFiles = eslintConfigFiles;
const prettierCiExtensions = 'json,md,scss,yml,yaml,html';
exports.prettierCiExtensions = prettierCiExtensions;
const prettierExtensions = `ts,tsx,js,jsx,${prettierCiExtensions}`;
exports.prettierExtensions = prettierExtensions;
const prettierConfigFiles = ['.prettierrc', '.prettierrc.json', '.prettierrc.yml', '.prettierrc.yaml', '.prettierrc.toml', '.prettierrc.js', 'prettier.config.js']; // typescript

exports.prettierConfigFiles = prettierConfigFiles;
const typescriptConfigFiles = ['tsconfig.json'];
exports.typescriptConfigFiles = typescriptConfigFiles;
const typescriptBuildConfigFiles = ['tsconfig.build.json']; // depcheck

exports.typescriptBuildConfigFiles = typescriptBuildConfigFiles;
const depcheckIgnorePackages = ['@types/node', 'typescript'];
exports.depcheckIgnorePackages = depcheckIgnorePackages;