"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.gitAddAction = void 0;

var _exec = require("../../cmd/exec");

const gitAddAction = async ({
  cwd,
  log
}, {
  files
}) => {
  if (files.length === 0) {
    return;
  }

  log.info('Add files to the staged:');
  log.info(files.map(file => `▸ ${file}`));
  await (0, _exec.exec)({
    cmd: 'git',
    args: ['add', ...files.map(file => file === '.' ? '.' : `"${file}"`)],
    cwd,
    log
  });
};

exports.gitAddAction = gitAddAction;