"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.gitInitAction = void 0;

var _path = require("path");

var _access = require("../../cmd/access");

var _exec = require("../../cmd/exec");

const gitInitAction = async ({
  cwd,
  log
}) => {
  const path = (0, _path.join)(cwd, '.git');
  const isExists = await (0, _access.access)(path);

  if (!isExists) {
    log.info('Initialize the Git repository');
    await (0, _exec.exec)({
      cmd: 'git',
      args: ['init'],
      cwd,
      log
    });
  } else {
    log.info('Git repository already exists');
  }
};

exports.gitInitAction = gitInitAction;