"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.nodeFileAction = void 0;

var _path = require("path");

var _access = require("../../cmd/access");

var _writeFile = require("../../cmd/writeFile");

const nodeFileAction = async ({
  cwd,
  log
}, {
  file
}) => {
  const path = (0, _path.join)(cwd, file);
  const isExists = await (0, _access.access)(path);

  if (!isExists) {
    log.info(`Create the file ${file}`);
    await (0, _writeFile.writeFile)(path, '');
  } else {
    log.info(`The file ${file} already existed`);
  }
};

exports.nodeFileAction = nodeFileAction;