"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.nodeFolderAction = void 0;

var _path = require("path");

var _access = require("../../cmd/access");

var _mkdir = require("../../cmd/mkdir");

const nodeFolderAction = async ({
  cwd,
  log
}, {
  folder
}) => {
  const path = (0, _path.join)(cwd, folder);
  const isExists = await (0, _access.access)(path);

  if (!isExists) {
    log.info(`Create the folder ${folder}`);
    await (0, _mkdir.mkdir)(path);
  } else {
    log.info(`The folder ${folder} already existed`);
  }
};

exports.nodeFolderAction = nodeFolderAction;