"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.npmInitAction = void 0;

var _path = require("path");

var _access = require("../../cmd/access");

var _exec = require("../../cmd/exec");

var _packageUpdate = require("./packageUpdate");

const npmInitAction = async (argv, {
  settings
}) => {
  const path = (0, _path.join)(argv.cwd, 'package.json');
  const isExists = await (0, _access.access)(path);

  if (!isExists) {
    argv.log.info('Initialize the package.json');
    await (0, _exec.exec)({ ...argv,
      cmd: 'npm',
      args: ['init', '-y']
    });
    await (0, _packageUpdate.npmPackageUpdateAction)(argv, {
      settings
    });
  } else {
    argv.log.info('package.json already exists');
  }
};

exports.npmInitAction = npmInitAction;