"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPackagePath = exports.npmPackageLoadAction = void 0;

var _path = require("path");

var _access = require("../../cmd/access");

var _readFile = require("../../cmd/readFile");

const getPackagePath = cwd => (0, _path.join)(cwd, 'package.json');

exports.getPackagePath = getPackagePath;

const npmPackageLoadAction = async ({
  cwd,
  log
}, {
  key,
  throwError
}) => {
  const path = getPackagePath(cwd);
  const isExists = await (0, _access.access)(path);

  if (!isExists) {
    throw new Error('package.json is not found');
  }

  log.debug('Read the package.json');
  const config = await (0, _readFile.readFile)(path, true);

  if (typeof key === 'undefined') {
    return config;
  }

  const value = config[key];

  if (throwError && typeof value === 'undefined') {
    throw new TypeError(`The package.json value "${key}" is undefiend`);
  }

  return value;
};

exports.npmPackageLoadAction = npmPackageLoadAction;