"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.babelAction = void 0;

var _actionConfigs = require("../../../configs/actionConfigs");

var _exec = require("../../cmd/exec");

var _getConfigPath = require("../../utils/getConfigPath");

const babelAction = async ({
  cwd,
  log
}) => {
  const configPath = await (0, _getConfigPath.getBabelConfigPath)({
    cwd
  });
  const cmd = './node_modules/.bin/babel';
  const args = []; // options

  args.push('-d', 'build');
  args.push('--config-file', configPath);
  args.push('--extensions', _actionConfigs.babelExtensions); // path

  args.push('src');
  log.info('Run babel');
  await (0, _exec.exec)({
    cmd,
    args,
    cwd,
    log
  });
};

exports.babelAction = babelAction;