"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.commitlintAction = void 0;

var _path = require("path");

var _actionConfigs = require("../../../configs/actionConfigs");

var _exec = require("../../cmd/exec");

var _getFirstExistingFile = require("../../utils/getFirstExistingFile");

const commitlintAction = async ({
  cwd,
  cfg,
  log
}, {
  edit
}) => {
  const configFile = await (0, _getFirstExistingFile.getFirstExistingFile)({
    defaultFile: (0, _path.join)(cfg, 'commitlintrc.json'),
    files: _actionConfigs.commitlintConfigFiles,
    cwd
  });
  const cmd = './node_modules/.bin/commitlint';
  const args = [];
  args.push('--color');
  args.push('--edit', edit);
  args.push('--config', configFile);
  log.info('Run commitlint');
  await (0, _exec.exec)({
    cmd,
    args,
    cwd,
    log
  });
};

exports.commitlintAction = commitlintAction;