import { Watermark, Watermarks } from 'istanbul-lib-report';
declare type BabelNodeActionProps = {
    watch: boolean;
    script?: string;
};
declare type CommitlintActionProps = {
    edit: string;
};
declare type CoverageWatermarkThreshold = Watermark | number | undefined;
declare type CoverageActionProps = {
    projects: string[];
    watermarks?: Partial<Record<keyof Watermarks, CoverageWatermarkThreshold>>;
};
declare type EslintActionProps = {
    write?: boolean;
    files?: string[];
};
declare type JestActionProps = {
    projects: string[];
    updateSnapshot?: boolean;
    runInBand?: boolean;
    verbose?: boolean;
    watch?: boolean;
};
declare type PrettierActionProps = {
    write?: boolean;
    extension?: string;
    files?: string[];
};
declare type TscActionProps = {
    mode: 'type-check' | 'type-create';
};
export type { BabelNodeActionProps, CommitlintActionProps, CoverageActionProps, CoverageWatermarkThreshold, EslintActionProps, JestActionProps, PrettierActionProps, TscActionProps, };
