"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.access = void 0;

var _fs = require("fs");

const access = async (path, type = 'exists') => {
  let mode;

  switch (type) {
    case 'readable':
      // eslint-disable-next-line no-bitwise
      mode = _fs.constants.F_OK | _fs.constants.R_OK;
      break;

    case 'writable':
      // eslint-disable-next-line no-bitwise
      mode = _fs.constants.F_OK | _fs.constants.W_OK;
      break;

    default:
      mode = _fs.constants.F_OK;
  }

  try {
    await _fs.promises.access(path, mode);
    return true;
  } catch (error) {
    if (error.code !== 'ENOENT' && error.syscall !== 'access') {
      throw error;
    }

    return false;
  }
};

exports.access = access;