import { Logger } from './cli/logger';
declare type NpmInstallMode = 'dev' | 'optional' | 'prod';
declare type PropsGlobal = {
    readonly cwd: string;
    readonly tpl: string;
    readonly cfg: string;
    readonly log: Logger;
    readonly vvv: boolean;
    readonly ci: boolean;
};
declare type Action<Props extends Record<string, unknown> | unknown[] | undefined = undefined, ActionReturn = void> = Props extends undefined ? (argv: PropsGlobal) => Promise<ActionReturn> : Props extends unknown[] ? (argv: PropsGlobal, ...props: Props) => Promise<ActionReturn> : (argv: PropsGlobal, props: Props) => Promise<ActionReturn>;
declare type Task<Props extends Record<string, unknown> | unknown[] | undefined = undefined, ActionReturn = void> = Props extends undefined ? (argv: PropsGlobal) => Promise<ActionReturn> : Props extends unknown[] ? (argv: PropsGlobal, ...props: Props) => Promise<ActionReturn> : (argv: PropsGlobal, props: Props) => Promise<ActionReturn>;
declare type LicenseCompatibilities = Record<string, string[]>;
declare type LicenseHeuristics = Record<string, RegExp>;
declare type LicensePackages = Record<string, Record<string, string>>;
declare type LicensePackageInfo = {
    path: string;
    name: string;
    license: string | 'UNKNOWN';
    version: string | 'UNKNOWN';
};
export type { NpmInstallMode, PropsGlobal, Action, Task, LicenseCompatibilities, LicenseHeuristics, LicensePackages, LicensePackageInfo, };
