declare type InitSettings = {
    files: string[];
    folders: string[];
    templates: Array<[string, string] | [string]>;
    libraryProduction: string[];
    libraryDevelopment: string[];
    packageBin: Record<string, string>;
    packageInit: Record<string, Record<string, string> | boolean | number | string>;
    packageUpdate: Record<string, Record<string, string> | boolean | number | string>;
    packageScripts: Record<string, string>;
    packagePeerDependencies: string[];
    github: {
        name?: string;
    };
};
declare type InitSettingProps = {
    readonly cli: boolean;
    readonly package: boolean;
    readonly github?: string;
    readonly noCommit: boolean;
};
declare const getInitTaskSettings: (props: InitSettingProps) => InitSettings;
export type { InitSettings, InitSettingProps };
export { getInitTaskSettings };
